package org.gcube.gcat.utils;

import java.io.InputStream;
import java.util.Properties;

import javax.ws.rs.WebApplicationException;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public class Constants {
	
	public static final String CATALOGUE_NAME = "gCat";
	
	
	private static final String PROPERTY_FILENAME = "config.properties";
	private static final String TOKEN_VARNAME = "TOKEN";
	private static final String CATALOGUE_APPLICATION_TOKEN;
	
	public static String getCatalogueApplicationToken() {
		return CATALOGUE_APPLICATION_TOKEN;
	}

	static {
		try {
			Properties properties = new Properties();
			InputStream input = Constants.class.getClassLoader().getResourceAsStream(PROPERTY_FILENAME);
			// load a properties file
			properties.load(input);
			CATALOGUE_APPLICATION_TOKEN = properties.getProperty(TOKEN_VARNAME);
		}catch (Exception e) {
			throw new WebApplicationException(e);
		}
	}
}
